logo
Loading...

import出錯: ckiptagger import data_utils? - Cupoy

看最後似乎缺少了某一個檔案是嗎? (pywrap_tensorflow.py)我是否安裝ckipta...

import出錯: ckiptagger import data_utils?

2020/11/22 02:03 下午
Kent
觀看數:12
回答數:3
收藏數:0

看最後似乎缺少了某一個檔案是嗎? (pywrap_tensorflow.py)

我是否安裝ckiptagger就可以了? 不用安裝tensorflow ? 不過我之前安裝tf 也跑過yolo V3都沒問題,

是因為這個新環境所安裝的tf 是2.0以上版本所衍伸的問題嗎???


ImportError                               Traceback (most recent call last)
~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    63   try:
---> 64     from tensorflow.python._pywrap_tensorflow_internal import *
    65   # This try catch logic is because there is no bazel equivalent for py_extension.

ImportError: DLL load failed: 找不到指定的模組。

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
<ipython-input-1-253e7ec950b7> in <module>
----> 1 from ckiptagger import data_utils

~\Anaconda3\envs\nlp\lib\site-packages\ckiptagger\__init__.py in <module>
----> 1 from ckiptagger.api import construct_dictionary
     2 from ckiptagger.api import WS
     3 from ckiptagger.api import POS
     4 from ckiptagger.api import NER
     5 from ckiptagger import data_utils

~\Anaconda3\envs\nlp\lib\site-packages\ckiptagger\api.py in <module>
     5
     6 import numpy as np
----> 7 import tensorflow as tf
     8 tf.compat.v1.logging.set_verbosity(tf.compat.v1.logging.ERROR)
     9

~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\__init__.py in <module>
    39 import sys as _sys
    40
---> 41 from tensorflow.python.tools import module_util as _module_util
    42 from tensorflow.python.util.lazy_loader import LazyLoader as _LazyLoader
    43

~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\__init__.py in <module>
    38 # pylint: disable=wildcard-import,g-bad-import-order,g-import-not-at-top
    39
---> 40 from tensorflow.python.eager import context
    41
    42 # pylint: enable=wildcard-import

~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\eager\context.py in <module>
    33 from tensorflow.core.protobuf import config_pb2
    34 from tensorflow.core.protobuf import rewriter_config_pb2
---> 35 from tensorflow.python import pywrap_tfe
    36 from tensorflow.python import tf2
    37 from tensorflow.python.client import pywrap_tf_session

~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\pywrap_tfe.py in <module>
    26
    27 # pylint: disable=invalid-import-order,g-bad-import-order, wildcard-import, unused-import
---> 28 from tensorflow.python import pywrap_tensorflow
    29 from tensorflow.python._pywrap_tfe import *

~\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in <module>
    81 for some common reasons and solutions.  Include the entire stack trace
    82 above this error message when asking for help.""" % traceback.format_exc()
---> 83   raise ImportError(msg)
    84
    85 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-long

ImportError: Traceback (most recent call last):
 File "C:\User\Anaconda3\envs\nlp\lib\site-packages\tensorflow\python\pywrap_
tensorflow.py", line 64, in <module>
   from tensorflow.python._pywrap_tensorflow_internal import *
ImportError: DLL load failed: 找不到指定的模組。


Failed to load the native TensorFlow runtime.